Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaget
Class PostoPrevistoGet

    java.lang.Object
      it.svimservice.nsisr.web.ws.dotazioneorganica.vo.dotazioneorganicaget.PostoPrevistoGet

    public class PostoPrevistoGet

extends java.lang.Object

Dati di dettaglio sul posto previsto.

Field Summary
`private java.lang.String` | `codDisciplina` Codice disciplina.
`private java.lang.String` | `codProfilo` Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.Integer` | `codQualifica` Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private int` | `codRuolo` Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.
`private java.lang.Integer` | `codTipologiaIncarico` Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `descDisciplina` Descrizione disciplina.
`private java.lang.String` | `descQualifica` Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `descrizioneProfilo` Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.
`private java.lang.String` | `descrizioneRuolo` Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.
`private java.lang.String` | `descTipologiaIncarico` Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.
`private int` | `numPostiPrevisti` Quantità posti previsti.

Constructor Summary
`PostoPrevistoGet()`

Method Summary
`java.lang.String` | `getCodDisciplina()`
`java.lang.String` | `getCodProfilo()`
`java.lang.Integer` | `getCodQualifica()`
`int` | `getCodRuolo()`
`java.lang.Integer` | `getCodTipologiaIncarico()`
`java.lang.String` | `getDescDisciplina()`
`java.lang.String` | `getDescQualifica()`
`java.lang.String` | `getDescrizioneProfilo()`
`java.lang.String` | `getDescrizioneRuolo()`
`java.lang.String` | `getDescTipologiaIncarico()`
`int` | `getNumPostiPrevisti()`
`void` | `setCodDisciplina(java.lang.String codDisciplina)`
`void` | `setCodProfilo(java.lang.String codProfilo)`
`void` | `setCodQualifica(java.lang.Integer codQualifica)`
`void` | `setCodRuolo(int codRuolo)`
`void` | `setCodTipologiaIncarico(java.lang.Integer codTipologiaIncarico)`
`void` | `setDescDisciplina(java.lang.String descDisciplina)`
`void` | `setDescQualifica(java.lang.String descQualifica)`
`void` | `setDescrizioneProfilo(java.lang.String descrizioneProfilo)`
`void` | `setDescrizioneRuolo(java.lang.String descrizioneRuolo)`
`void` | `setDescTipologiaIncarico(java.lang.String descTipologiaIncarico)`
`void` | `setNumPostiPrevisti(int numPostiPrevisti)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codRuolo

    @Facets(totalDigits=4L)
    @MinOccurs(value=1L)
    private int codRuolo

  Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.

### descrizioneRuolo

    @MinOccurs(value=0L)
    private java.lang.String descrizioneRuolo

  Ruolo di iscrizione dei dipendenti del Servizio Sanitario Regionale.

### codProfilo

    @Facets(minLength=1L,
            maxLength=3L)
    @MinOccurs(value=1L)
    private java.lang.String codProfilo

  Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.

### descrizioneProfilo

    @MinOccurs(value=0L)
    private java.lang.String descrizioneProfilo

  Profilo professionale riconosciuto dalla normativa e dai contratti collettivi di lavoro.

### codTipologiaIncarico

    @Facets(totalDigits=3L)
    @MinOccurs(value=0L)
    private java.lang.Integer codTipologiaIncarico

  Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### descTipologiaIncarico

    @MinOccurs(value=0L)
    private java.lang.String descTipologiaIncarico

  Tipologia incarico riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### codQualifica

    @Facets(totalDigits=3L)
    @MinOccurs(value=0L)
    private java.lang.Integer codQualifica

  Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### descQualifica

    @MinOccurs(value=0L)
    private java.lang.String descQualifica

  Qualifica riconosciuta dalla normativa e dai contratti collettivi di lavoro.

### codDisciplina

    @Facets(maxLength=6L)
    @MinOccurs(value=0L)
    private java.lang.String codDisciplina

  Codice disciplina.

### descDisciplina

    @MinOccurs(value=0L)
    private java.lang.String descDisciplina

  Descrizione disciplina.

### numPostiPrevisti

    @Facets(totalDigits=5L)
    @MinOccurs(value=1L)
    private int numPostiPrevisti

  Quantità posti previsti.

Constructor Detail

### PostoPrevistoGet

    public PostoPrevistoGet()

Method Detail

### setCodRuolo

    public void setCodRuolo(int codRuolo)

### getCodRuolo

    public int getCodRuolo()

### setDescrizioneRuolo

    public void setDescrizioneRuolo(java.lang.String descrizioneRuolo)

### getDescrizioneRuolo

    public java.lang.String getDescrizioneRuolo()

### setCodProfilo

    public void setCodProfilo(java.lang.String codProfilo)

### getCodProfilo

    public java.lang.String getCodProfilo()

### setDescrizioneProfilo

    public void setDescrizioneProfilo(java.lang.String descrizioneProfilo)

### getDescrizioneProfilo

    public java.lang.String getDescrizioneProfilo()

### getCodTipologiaIncarico

    public java.lang.Integer getCodTipologiaIncarico()

### setCodTipologiaIncarico

    public void setCodTipologiaIncarico(java.lang.Integer codTipologiaIncarico)

### setDescTipologiaIncarico

    public void setDescTipologiaIncarico(java.lang.String descTipologiaIncarico)

### getDescTipologiaIncarico

    public java.lang.String getDescTipologiaIncarico()

### getCodQualifica

    public java.lang.Integer getCodQualifica()

### setCodQualifica

    public void setCodQualifica(java.lang.Integer codQualifica)

### setDescQualifica

    public void setDescQualifica(java.lang.String descQualifica)

### getDescQualifica

    public java.lang.String getDescQualifica()

### setCodDisciplina

    public void setCodDisciplina(java.lang.String codDisciplina)

### getCodDisciplina

    public java.lang.String getCodDisciplina()

### setDescDisciplina

    public void setDescDisciplina(java.lang.String descDisciplina)

### getDescDisciplina

    public java.lang.String getDescDisciplina()

### setNumPostiPrevisti

    public void setNumPostiPrevisti(int numPostiPrevisti)

### getNumPostiPrevisti

    public int getNumPostiPrevisti()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD